List Indexes
curl --request GET \
--url https://cloud.cdata.com/api/indexes \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.cdata.com/api/indexes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.cdata.com/api/indexes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"affectedRows": 123,
"schema": [
{
"catalogName": "<string>",
"columnLabel": "<string>",
"columnName": "<string>",
"dataTypeName": "<string>",
"length": 123,
"nullable": true,
"ordinal": 123,
"precision": 123,
"scale": 123,
"schemaName": "<string>",
"tableName": "<string>"
}
],
"rows": [
[
"<unknown>"
]
]
}
],
"error": {
"message": "<string>"
}
}Metadata API
List Indexes
This operation returns information about available indexes for a given table.
GET
/
indexes
List Indexes
Authorizations
JWT token authentication. Include the token in the Authorization header as Bearer {token}. See Authentication for more information on creating a token.
Query Parameters
Restricts results to the specified catalog.
Restricts results to the specified schema.
Restricts results to the specified table.
Restricts results to the specified index.
If true, only return unique indexes. If false, only return non-unique indexes. The default value is to return all indexes.
Was this page helpful?
⌘I